Subject: bug#58199: 29.0.50; Odd "git pull" output

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Sep 2022 20:21:20 +0200

When doing a `+' in a vc-dir buffer, a buffer is popped up displaying
the output from "git pull".  It usually ends something like this:

Those ^M characters look ugly.  Should the filter process here do
something about those?  Or are they part of some ANSI control character
sequence that's not parsed correctly, perhaps?

In GNU Emacs 29.0.50 (build 46, x86_64-pc-linux-gnu, GTK+ Version
 3.24.33, cairo version 1.16.0) of 2022-09-29 built on downe
Repository revision: 48c9f9d31d3eab756595c05cd2d3aced0fd856ca
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Ubuntu 22.04.1 LTS

Configured using:
 'configure --with-xwidgets'